### Virtual Method

# Ide WorkspaceAddin load

#### Declaration

    void
    load (
      IdeWorkspaceAddin* self,
      IdeWorkspace* workspace
    )

#### Description

Lods the `IdeWorkspaceAddin`.

This is a good place to modify the workspace from your addin. Remember to unmodify the workspace in ide_workspace_addin_unload().

Available since: | 3.32

#### Parameters

`workspace` | `IdeWorkspace`
| No description available.
| The data is owned by the caller of the function.